This is an old revision of the document!


LiteSpeed Cache for PrestaShop Frequently Asked Questions

Yes, LSCPS will always be free and open source. That said, a LiteSpeed server is required, and there are fees associated with some LiteSpeed server editions.

A LiteSpeed server is required in order to use this plugin.

  • LiteSpeed Web Server Enterprise with LSCache Module (v5.2.2+)
  • LiteSpeed WebADC (v2.1+)

Any single server or cluster including a LiteSpeed server will work.

The LSCache Module is built into your licensed copy of LiteSpeed Web Server. When it comes to caching dynamic content, the LSCache Module does all of the work.

The LSCache Module for PrestaShop is simply an interface. It allows PrestaShop to instruct the server Module on what to cache, how long to cache it, and when to purge. And it allows the site owner to manage and configure the Module. Without the Module, the Plugin could not function.

A licensed LSCache Module is required in order to use the free LSCache PrestaShop Module.

The cache entries are stored at the LiteSpeed server level. The simplest solution is to use LiteSpeed WebADC, as the cache entries will be stored at that level.

If using another load balancer, the cache entries will only be stored at the backend nodes, not at the load balancer.

The purges will also not be synchronized across the nodes, so this is not recommended.

If a customized solution is required, please contact LiteSpeed Technologies at info@litespeedtech.com

NOTICE: The rewrite rules created by this plugin must be copied to the Load Balancer.

No, OpenLiteSpeed does not support ESI, and ESI is essential to the efficient caching of a PrestaShop store.

Yes, there is a crawler script. You may download the script and get instructions for using it here.

LiteSpeed Cache for PrestaShop works right out of the box with default settings that are appropriate for most sites. Please refer to the steps from our How to Install LSCPS page.

  • Admin
  • Last modified: 2018/07/30 19:06
  • by Lisa Clarke